#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
ver=0.1.10

cd "$tmp"
wget -N http://downloads.sourceforge.net/oyranos/oyranos-${ver}.tar.gz
tar zxvf oyranos-${ver}.tar.gz
pushd oyranos-${ver}
# Prevent static libXNVCtrl to be used
rm -rf libXNVCtrl
# Remove icc profiles from the archive
rm -rf default_profiles
popd
tar jcf "$pwd"/oyranos-repack-${ver}.tar.bz2 oyranos-${ver}
cd - >/dev/null
